For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
        • GETList Roles
        • POSTCreate Role
        • GETGet Role
        • DELDelete Role
        • PATCHUpdate Role
Logo
Log inBook a demo
API ReferencePermissionsRoles

Create Role

POST
https://app.polytomic.com/api/permissions/roles
POST
/api/permissions/roles
$curl -X POST https://app.polytomic.com/api/permissions/roles \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "name": "Custom"
>}'
1{
2 "data": {
3 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
4 "name": "Custom",
5 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "system": false
7 }
8}

Creates a new permissions role.

Provide a name for the new role. The role is immediately available for use in permission policies.

To attach the role to resources, create or update a policy using POST /api/permissions/policies.

Was this page helpful?
Previous

Get Role

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
namestringRequired
organization_idstring or nullOptionalformat: "uuid"

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error